import { ApiBody } from "../../../model/open-api/ApiBody";
/**
 * Decorator that can be placed on an endpoint to describe a possible response
 * in any generated OpenAPI specification.
 *
 * @param statusCode HTTP status code that will be sent in this response.
 * @param apiBodyInfo Information about the response body generated.
 */
export declare function apiResponse(statusCode: number, apiBodyInfo?: ApiBody): (classDefinition: Object, methodName: string) => void;
