"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ControllerInfo = void 0;
const ApiBodyInfo_1 = require("../open-api/ApiBodyInfo");
class ControllerInfo {
    constructor(name, classConstructor) {
        this.endpoints = new Map();
        this.name = name;
        this.classConstructor = classConstructor;
    }
    getOrCreateRequestInfo() {
        if (!this.apiRequestInfo) {
            this.apiRequestInfo = new ApiBodyInfo_1.ApiBodyInfo();
        }
        return this.apiRequestInfo;
    }
}
exports.ControllerInfo = ControllerInfo;
//# sourceMappingURL=ControllerInfo.js.map